Subject: Re: bug#14372: 24.3; url package http end of headers false positive

From: Glenn Morris <[email-masked]>
Date: Wed, 08 May 2013 19:08:28 -0400

Ben Anhalt wrote:

> In url-http.el in url-http-wait-for-headers-change-function the regular
> expression for detecting the end of HTTP headers is "^\r*$" which can
> result in false positives if a partial response (with more headers to
> come) is received that ends in a newline. That is, "HTTP/1.1 200
> OK\r\nSome-header: foo\r\n" matches at the end as an empty line even
> though there is no way to tell if more headers will arrive.
>
> It needs to detect a line that contains nothing but "\r", so a RE like
> "^\r+$" or simply "^\r$" would be more appropriate.

Thanks for the report. I believe this is already fixed in Emacs trunk:

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13598

> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.2)
>  of 2013-04-14 on chindi10, modified by Debian